For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The SalesOrder object
          • GET/sales-orders
          • POST/sales-orders
          • GET/sales-orders/{id}
          • GET/sales-orders/lines/remote-field-classes
          • GET/sales-orders/meta/post
          • GET/sales-orders/remote-field-classes
          • POST/sales-orders/bulk
          • GET/sales-orders/bulk/{batch_id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsSales Orders

/sales-orders/bulk

Beta
POST
/accounting/v1/sales-orders/bulk
POST
/api/accounting/v1/sales-orders/bulk
$curl -X POST https://api.merge.dev/api/accounting/v1/sales-orders/bulk \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "batch_items": [
> {
> "item_id": "string",
> "payload": {}
> }
> ]
>}'
202Accepted
1{
2 "batch_id": "d0a3ca3e-2d7a-44cd-a94b-bda805f23b5"
3}

Creates multiple SalesOrder objects with the given values.

Was this page helpful?
Previous

/sales-orders/remote-field-classes

Next

/sales-orders/bulk/{batch_id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Request

This endpoint expects an object.
batch_itemslist of objectsRequired

Response

batch_idstringformat: "uuid"
The ID of the batch.